package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import io.swagger.annotations.ApiModelProperty;

/**
 * 课次评论
 */
public class CourseReview4EduQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "教务老师id",required = false)
    private Integer eduTeacherId;

    @ApiModelProperty(value = "是否评价 1-评价 0未评价",required = false)
    private Integer hasReview;

    @ApiModelProperty(value = "是否提价作业 1-提交 0未提交",required = false)
    private Integer hasHandHomework;

    @ApiModelProperty(value = "是否完成双向沟通 1-是 0-否",required = false)
    private Integer hasLiaison;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseScheduleType type;

    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;


    public Integer getEduTeacherId() {
        return eduTeacherId;
    }

    public void setEduTeacherId(Integer eduTeacherId) {
        this.eduTeacherId = eduTeacherId;
    }

    public Integer getHasReview() {
        return hasReview;
    }

    public void setHasReview(Integer hasReview) {
        this.hasReview = hasReview;
    }

    public Integer getHasHandHomework() {
        return hasHandHomework;
    }

    public void setHasHandHomework(Integer hasHandHomework) {
        this.hasHandHomework = hasHandHomework;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getHasLiaison() {
        return hasLiaison;
    }

    public void setHasLiaison(Integer hasLiaison) {
        this.hasLiaison = hasLiaison;
    }

    public CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseScheduleType type) {
        this.type = type;
    }
}
